Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List sellers

Returns all sellers belonging to the authenticated account. Results are automatically scoped to the account associated with the token.

GET/sellers
Authorization
AuthorizationBearer token (JWT) · headerrequired
Responses
200List of sellers
total_itemsinteger
per_pageinteger
pageinteger
_linksHalLinks
_classstring[]
_embeddedobject
Show properties
itemsSeller[]
Show properties
Array of Seller
_linksHalLinks
idinteger
account_idinteger
localestring
currency_codestring
provides_shippingboolean
provides_pickupboolean
prices_include_taxboolean
tax_ratenumber
tax_namestring
products_countinteger
created_onstring<date-time>
updated_onstring<date-time>
401Invalid or missing token
403Access denied
Request
curl -X GET "https://api.onbolder.com/v2/sellers" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "_class": [
    "results",
    "sellers"
  ],
  "total_items": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/sellers"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 5,
        "account_id": 10,
        "locale": "en",
        "currency_code": "USD",
        "provides_shipping": true,
        "provides_pickup": true,
        "prices_include_tax": true,
        "tax_rate": 0.19,
        "tax_name": "VAT",
        "products_count": 42,
        "created_on": "2023-01-15T10:00:00Z",
        "updated_on": "2024-03-20T14:30:00Z",
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/sellers/5"
          },
          "shops:show": {
            "href": "https://api.onbolder.com/v2/shops/1"
          },
          "shops:list": {
            "href": "https://api.onbolder.com/v2/shops?seller_id=5"
          },
          "products:list": {
            "href": "https://api.onbolder.com/v2/products{?seller_ids,...}",
            "templated": true
          }
        }
      }
    ]
  }
}